Index: tmp/org.txm.backtomedia.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.backtomedia.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.backtomedia.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -27,4 +27,5 @@
  uk.co.caprica.vlcj.factory.swt,
  uk.co.caprica.vlcj.player.embedded.videosurface.swt,
  vlcplayerrcp
+Automatic-Module-Name: org.txm.backtomedia.rcp
 
Index: tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.annotation.rcp
 
Index: tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.chartsengine.rcp
 
Index: tmp/org.txm.internalview.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.internalview.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.internalview.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -9,4 +9,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.internalview.core
 
Index: tmp/org.txm.utils/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.utils/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.utils/META-INF/MANIFEST.MF	(revision 3063)
@@ -95,4 +95,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.utils.core
 
Index: tmp/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -11,4 +11,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.chartsengine.r.core
 
Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -8,4 +8,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.links.rcp
 
Index: tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.textsbalance.core
 
Index: tmp/org.txm.concordance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometry.org
+Automatic-Module-Name: org.txm.concordance.core
 
Index: tmp/org.txm.chartsengine.graphstream.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.graphstream.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.chartsengine.graphstream.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -13,4 +13,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.chartsengine.graphstream.rcp
 
Index: tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -14,4 +14,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.statsengine.r.core
 
Index: tmp/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF	(revision 3063)
@@ -7,4 +7,5 @@
 Eclipse-PlatformFilter: (osgi.os=win32)
 Bundle-Vendor: Textometrie.org
 Fragment-Host: org.txm.libs.cqp
+Automatic-Module-Name: org.txm.libs.cqp.win32
 
Index: tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 3063)
@@ -82,4 +82,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.libs.groovy-all
 
Index: tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -42,4 +42,5 @@
 Bundle-ClassPath: lib/dom4j-1.6.1.jar,lib/log4j-1.2.12.jar,lib/TigerSe
  arch.jar,.
 Bundle-Activator: tigersearch4txm.Activator
+Automatic-Module-Name: org.txm.tigersearch.rcp
 
Index: tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -10,4 +10,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.chartsengine.core
 
Index: tmp/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -21,4 +21,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
+Automatic-Module-Name: org.txm.searchengine.cqp.core
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/ReadRegistryFile.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/ReadRegistryFile.java	(revision 3062)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/ReadRegistryFile.java	(revision 3063)
@@ -39,7 +39,7 @@
 	 * reload the informations
 	 */
 	public void read() {
-		pAttributes = new ArrayList();
+		pAttributes = new ArrayList<>();
 		sAttributes = new ArrayList();
 		sattrs = new HashMap<>();
 		sattrsProfs = new HashMap<>();
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.ca.rcp
 
Index: tmp/org.txm.referencer.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -11,4 +11,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.referencer.core
 
Index: tmp/org.txm.para.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.para.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.para.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -9,4 +9,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.para.core
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3062)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3063)
@@ -163,7 +163,8 @@
 			pagedWriter.writeEndElements();
 			// write notes
 			if (notes.size() > 0) {
-				pagedWriter.writeEmptyElement("hr", ["id":"notes", "width":"20%", "align":"left"]);
+				pagedWriter.writeStartElement("hr", ["id":"notes", "width":"20%", "align":"left"]);
+				pagedWriter.writeEndElement() // </hr>
 				//pagedWriter.writeStartElement("ol");
 				int i = 1;
 				for (String note : notes) {
@@ -328,9 +329,12 @@
 							currentOutOfTextElements << localname
 						}
 					
-						if (paginate && localname == paginationElement) {
-							createNextOutput()
-							wordcount=0;
+						if (localname == paginationElement) {
+							if (paginate) {
+								createNextOutput()
+							}
+							
+							wordcount = 0;
 							pagedWriter.write("\n")
 							if (getAttributeValue(parser, null,"n") != null) {
 								pagedWriter.writeElement("p", ["class":"txmeditionpb", "align":"center"], getAttributeValue(parser, null,"n"))
@@ -441,6 +445,10 @@
 								pagedWriter.write("\n")
 								pagedWriter.writeStartElement("p", ["class":rend])
 								break;
+							case "cb":
+								pagedWriter.write("\n")
+								pagedWriter.writeElement("span", ["class":"txmeditioncb", "align":"center"], getAttributeValue(parser, null,"n")) // element ignored in the END_ELEMENT event
+								break;
 							case "sp":
 								pagedWriter.writeStartElement("p", ["class":"turn"])
 							
@@ -472,8 +480,7 @@
 								break;
 							case "lb":
 							//case "l":
-								pagedWriter.writeStartElement("br", ["class":rend])
-								pagedWriter.writeEndElement()
+								pagedWriter.writeEmptyElement("br", ["class":rend]) 
 								break;
 							case wordTag:
 								wordid = getAttributeValue(parser, null,"id");
@@ -514,6 +521,10 @@
 						localname = parser.getLocalName();
 						if (currentOutOfTextElements.size() > 0) currentOutOfTextElements.pop()
 						writeOutOfTextToEditText = currentOutOfTextElements.size() > 0
+						
+						if (localname == paginationElement) {
+							break; // element already processed in the START_ELEMENT event
+						}
 					
 						switch (localname) {
 							case "text":
@@ -527,6 +538,8 @@
 								pagedWriter.writeEndElement() // </p>
 								pagedWriter.write("\n")
 								break;
+							case "cb":
+								break;
 							case "lb":
 								break;
 							case "div":
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy	(revision 3062)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy	(revision 3063)
@@ -300,8 +300,9 @@
 				case XMLStreamConstants.START_ELEMENT:
 					localname = parser.getLocalName();
 					
-					if (paginate && localname == paginationElement) {
-						createNextOutput();
+					if (localname == paginationElement) {
+						if (paginate) createNextOutput();
+						
 						pagedWriter.write("\n");
 						if (parser.getAttributeValue(null,"n") != null) {
 							pagedWriter.writeElement("p", ["style":"color:red", "align":"center"], "- "+parser.getAttributeValue(null,"n")+" -")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/TranscriberTokenizer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/TranscriberTokenizer.groovy	(revision 3062)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/TranscriberTokenizer.groovy	(revision 3063)
@@ -86,8 +86,7 @@
 		String text = buffer.toString().trim().replace("\t", " ");
 		text = text.replaceAll("\\p{C}", "");
 		String previousChar = "";
-		for (String s : text.split("[\\p{Z}\\p{C}]+") )	
-		{
+		for (String s : text.split("[\\p{Z}\\p{C}]+") )	{
 			//init transcriber attributes
 			if (troncature)
 				audio = "absent";
@@ -167,17 +166,21 @@
 	}
 	
 	/**
-	 * Iterate.
+	 * Iterate over the String to tokenize it and write words using the 'audio', 'event' and "notation' properties.
 	 *
-	 * @param s the s
+	 * @param s the string to tokenize
 	 * @return the java.lang. object
 	 */
 	protected iterate(String s)
 	{
-		while (s != null && s.length() > 0) {
-			if (DEBUG) {println "  > $s"}
-			s = standardChecks(s);
-			event = "";
+		def words = stringTokenizer.processText(s);
+		for (def word : words) {
+			wordcount++;
+			writer.writeStartElement(word_element_to_create);
+			writeWordAttributes();// id
+			writer.writeCharacters(word);
+			writer.writeEndElement();
+			writer.writeCharacters("\n");
 		}
 	}
 	
Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -13,4 +13,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.groovy.core
 
Index: tmp/org.txm.edition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.edition.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.edition.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -11,4 +11,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.edition.rcp
 
Index: tmp/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF	(revision 3063)
@@ -6,3 +6,4 @@
 Fragment-Host: org.txm.treetagger.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.treetagger.core.win32
Index: tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -18,4 +18,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.dictionary.rcp
 
Index: tmp/org.txm.internalview.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.internalview.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.internalview.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.internalview.rcp
 
Index: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -13,4 +13,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.referencer.rcp
 
Index: tmp/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF	(revision 3063)
@@ -7,3 +7,4 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Eclipse-PlatformFilter: (osgi.os=macosx)
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.statsengine.r.core.macosx
Index: tmp/org.txm.libs.cqp.linux/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp.linux/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.libs.cqp.linux/META-INF/MANIFEST.MF	(revision 3063)
@@ -7,4 +7,5 @@
 Eclipse-PlatformFilter: (osgi.os=linux)
 Bundle-Vendor: Textometrie.org
 Fragment-Host: org.txm.libs.cqp
+Automatic-Module-Name: org.txm.libs.cqp.linux
 
Index: tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -21,4 +21,5 @@
 Bundle-Activator: queryindexrcp.Activator
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.queryindex.rcp
 
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -14,4 +14,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.progression.rcp
 
Index: tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.cooccurrence.rcp
 
Index: tmp/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.index.core
 
Index: tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.concordance.rcp
 
Index: tmp/org.txm.treetagger.core.models/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.models/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.treetagger.core.models/META-INF/MANIFEST.MF	(revision 3063)
@@ -6,3 +6,4 @@
 Fragment-Host: org.txm.treetagger.core
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.treetagger.core.models
Index: tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -11,4 +11,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.specificities.rcp
 
Index: tmp/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF	(revision 3063)
@@ -6,3 +6,4 @@
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Automatic-Module-Name: org.txm.treetagger.core.macosx
Index: tmp/org.txm.ca.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -15,4 +15,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.ca.core
 
Index: tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 3063)
@@ -9,4 +9,5 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.libs.cqp
 
Index: tmp/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF	(revision 3063)
@@ -5,3 +5,4 @@
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Automatic-Module-Name: org.txm.treetagger.core.linux
Index: tmp/org.txm.properties.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.properties.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.properties.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -13,4 +13,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.properties.rcp
 
Index: tmp/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF	(revision 3063)
@@ -13,3 +13,4 @@
  org.txm.cooccurrence.editors,
  org.txm.cooccurrence.functions,
  org.txm.cooccurrence.handlers
+Automatic-Module-Name: org.txm.cooccurrence.chartsengine
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -153,4 +153,5 @@
 Bundle-Activator: org.txm.rcp.Activator
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
+Automatic-Module-Name: org.txm.rcp
 
Index: tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.wordcloud.rcp
 
Index: tmp/org.txm.libs.itext/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.itext/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.libs.itext/META-INF/MANIFEST.MF	(revision 3063)
@@ -15,4 +15,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: itextpdf.com
+Automatic-Module-Name: org.txm.libs.itext
 
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.groovy	(revision 3062)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.groovy	(revision 3063)
@@ -149,16 +149,25 @@
 	 * @throws XMLStreamException
 	 */
 	public void writeElement (String localName, String text) throws XMLStreamException {
-		writer.writeStartElement(localName);
-		writer.writeCharacters(text);
-		writer.writeEndElement();
+		if (text != null && text.length() > 0) {
+			writer.writeStartElement(localName);
+			writer.writeCharacters(text);
+			writer.writeEndElement();
+		} else {
+			writer.writeEmptyElement(localName);
+		}
 	}
 	
 	public void writeElement (String localName, def map, String text) throws XMLStreamException {
-		writer.writeStartElement(localName);
-		for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
-		writer.writeCharacters(text);
-		writer.writeEndElement();
+		if (text != null && text.length() > 0) {
+			writer.writeStartElement(localName);
+			for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
+			writer.writeCharacters(text);
+			writer.writeEndElement();
+		} else {
+			writer.writeEmptyElement(localName);
+			for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
+		}
 	}
 	
 	@Override
@@ -168,8 +177,7 @@
 	
 	public void writeEmptyElement (String localName, def map) throws XMLStreamException {
 		writer.writeEmptyElement(localName);
-		for (def key : map.keySet())
-			writeAttribute(key.toString(), map[key].toString());
+		for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
 	}
 	
 	@Override
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -468,4 +468,5 @@
 Bundle-Activator: org.txm.core.Activator
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.core
 
Index: tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -11,3 +11,4 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.partition.rcp
Index: tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -9,4 +9,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.chartsengine.raster.rcp
 
Index: tmp/org.txm.rcp.about.fragment/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp.about.fragment/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.rcp.about.fragment/META-INF/MANIFEST.MF	(revision 3063)
@@ -10,3 +10,4 @@
  .
 Export-Package: org.eclipse.ui.internal.about
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.rcp.about.fragment
Index: tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -11,4 +11,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.textsbalance.rcp
 
Index: tmp/org.txm.partition.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -13,4 +13,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.partition.core
 
Index: tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -12,4 +12,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.cooccurrence.core
 
Index: tmp/org.txm.progression.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 3063)
@@ -15,4 +15,5 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
+Automatic-Module-Name: org.txm.progression.core
 
Index: tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 3062)
+++ tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 3063)
@@ -88,4 +88,5 @@
 Bundle-Activator: analecrcp.Activator
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
+Automatic-Module-Name: org.txm.annotation.urs.rcp
 
